<?php if (!defined ('ABSPATH')) die ('No direct access allowed'); ?>

<h3 class="form_group"><?php _e( 'SMS Messages:', 'mbesms' ); ?></h3>

<table class="wpsc_options form-table">
	<tbody>
		<tr>
			<th colspan="2"><?php _e( 'The following tags can be used in your SMS messages, though please bear in mind that they may take you over your character limits (for example if your Shop Name is very long): <kbd>%purchase_id%</kbd>, <kbd>%shop_name%</kbd>, <kbd>%total_price%</kbd>', 'mbesms' ); ?> </th>
		</tr>
		<tr>
			<th><label for="from"><strong><?php _e( 'SMS From', 'mbesms' ); ?></strong></label></th>
			<td>
				<p>
					<input type="text" name="from" value="<?php echo esc_attr( $from ); ?>" id="from" class="regular-text" maxlength="11" /><br />
					<span class="description"><?php _e( 'You can specify a "From" name, which will show up as the sender of your SMS on many providers. Please use letters and numbers, punctuation and spaces will be removed.', 'mbesms' ); ?></span>
				</p>
			</td>
		</tr>
		<tr>
			<th><strong><?php _e( 'New Order Received', 'mbesms' ); ?></strong></th>
			<td>
				<fieldset>
					<legend class="screen-reader-text"><span><?php _e( 'SMS notification for the admin on a new order', 'mbesms' ); ?></span></legend>
					<p>
						<label for="send_admin_message">
							<input name="send_admin_message" type="checkbox" id="send_admin_message" value="1" <?php checked( $send_admin_message ); ?> />
							<?php _e( 'Send a message to the admin when a new order is received', 'mbesms' ); ?> 
						</label>
					</p>
					<p>
						<label for="admin_number"><?php _e( 'The mobile number to send the admin new order notifications to', 'mbesms' ); ?></label><br />
						<input type="text" name="admin_number" value="<?php echo esc_attr( $admin_number ); ?>" id="admin_number" class="regular-text" /><br />
						<span class="description"><?php _e( 'Please omit any leading "0" and include a country dialling code.', 'mbesms' ); ?></span>
					</p>
					<p>
						<label for="admin_message"><?php _e( 'The message sent to the store admin when a new order is received.', 'mbesms' ); ?></label>
					</p>
					<textarea name="admin_message" id="admin_message" cols="" rows="" style="width: 300px; height: 200px;" id=""><?php echo format_to_edit( $admin_message ); ?></textarea>
				</fieldset>
			</td>
		</tr>
		<tr>
			<th>
				<strong><?php _e( 'Order Status Change', 'mbesms' ); ?></strong>
			</th>
			<td>
				<fieldset>
					<legend class="screen-reader-text"><span><?php _e( 'SMS notification for the admin on a new order', 'mbesms' ); ?></span></legend>
					<p>
						<label for="send_status_change">
							<input name="send_status_change" type="checkbox" id="send_status_change" value="1" <?php checked( $send_status_change ); ?> />
							<?php _e( 'Send a message to your customers when their order status changes', 'mbesms' ); ?> 
						</label>
					</p>
					<p>
						<label for="status_change"><?php _e( 'The message sent to the customer when an order changes status. Here you can use this additional tag: <kbd>%order_status%</kbd>.', 'mbesms' ); ?></label>
					</p>
					<p>
						<textarea name="status_change" id="status_change" cols="" rows="" style="width: 300px; height: 200px;"><?php echo format_to_edit( $status_change ); ?></textarea>
					</p>
					<p><?php _e( 'Send a status change message on the following statuses.' ); ?></p>
					<?php foreach ( $statuses as $status ) : ?>
						<label for="status_<?php echo esc_attr( $status[ 'internalname' ] ); ?>">
							<input name="selected_statuses[]" type="checkbox" id="status_<?php echo esc_attr( $status[ 'internalname' ] ); ?>" value="<?php echo esc_attr( $status[ 'order' ] ); ?>" <?php checked( in_array( $status[ 'order' ], $selected_statuses ) ); ?> />
							<?php echo esc_html( $status[ 'label' ] ); ?> 
						</label><br />
					<?php endforeach; ?>
				</fieldset>
			</td>
		</tr>
	</tbody>
</table>
		